package com.nbclass.szxgl.mapper;

import java.util.List;

import com.nbclass.szxgl.model.ProjectTaskJournal;
import com.nbclass.szxgl.model.ProjectTaskJournalFontType;
import com.nbclass.util.MyMapper;
import org.apache.ibatis.annotations.Param;

public interface ProjectTaskJournalMapper extends MyMapper<ProjectTaskJournal> {

	/**
	 * 根据任务id获取任务日志进度列表
	 * @param taskId
	 * @return
	 */
	public List<ProjectTaskJournal> getList(String taskId);

	public void deleteByTaskId(String projectTaskId);

	/**
	 * 更新任务评分分数和点评内容
	 * @return
	 */
    void updateTaskJournal(ProjectTaskJournal projectTaskJournal);

	/**
	 * 点评人id获取用户姓名
	 * @param id
	 * @return
	 */
	String getUserName(String id);


	/**
	 * 更新日志字体类型信息
	 */
	void addTaskFontType(ProjectTaskJournalFontType fontType);

}
